Bug 167227 - gnome-settings-daemon crashes after login
Summary: gnome-settings-daemon crashes after login
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-31 18:05 UTC by Dennis Jacobfeuerborn
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-01 17:45:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Jacobfeuerborn 2005-08-31 18:05:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050827 Firefox/1.0+

Description of problem:
After logging in the gnome destop starts to load but after a few seconds I get a dialog with the following message:
*****
There was an error starting the GNOME Settings Daemon.

Some things, such as themes, sounds, or background settings may not
work correctly.

The Settings Daemon restarted too many times.

GNOME will still try to restart the Settings Daemon next time you log in.
*****

Version-Release number of selected component (if applicable):
control-center-2.11.91-3

How reproducible:
Always

Steps to Reproduce:
1. Log in
2.
3.
  

Actual Results:  gnome-settings-daemon crashes

Expected Results:  gnome-settings-daemon should not crash

Additional info:

I'm running the complete current Rawhide except for the openoffice and wget packages.

Comment 1 Dennis Jacobfeuerborn 2005-08-31 18:46:48 UTC
I've got a Wacom tablet and I get the following error from
/usr/libexec/gnome-settings-daemon when the tablet is connected to the usb port:
=====
[dennis@nexus ~]$ /usr/libexec/gnome-settings-daemon
The program 'gnome-settings-daemon' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadDevice, invalid or uninitialized input device'.
  (Details: serial 2221 error_code 170 request_code 150 minor_code 3)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[1125513359,000,xklavier.c:XklStartListen/]     The backend does not require
manual layout management - but it is provided by the application
=====

When I either connect the tablet or alternatively comment out the input driver
entries in /etc/X11/xorg.conf the crash not longer happens.
Here are the relevant xorg.conf entries I have to comment out when I disconnect
the device:
=====
#        InputDevice    "cursor"    "SendCoreEvents"
#        InputDevice    "stylus"    "SendCoreEvents"
#        InputDevice    "eraser"    "SendCoreEvents"

#Section "InputDevice"
#  Driver        "wacom"
#  Identifier    "cursor"
#  Option        "Device"        "/dev/input/wacom"    # USB ONLY
#  Option        "Type"          "cursor"
#  Option        "USB"           "on"                  # USB ONLY
#EndSection

#Section "InputDevice"
#  Driver        "wacom"
#  Identifier    "stylus"
#  Option        "Device"        "/dev/input/wacom"    # USB ONLY
#  Option        "Type"          "stylus"
#  Option        "USB"           "on"                  # USB ONLY
#EndSection

#Section "InputDevice"
#  Driver        "wacom"
#  Identifier    "eraser"
#  Option        "Device"        "/dev/input/wacom"    # USB ONLY
#  Option        "Type"          "eraser"
#  Option        "USB"           "on"                  # USB ONLY
#EndSection

=====


Comment 2 Ray Strode [halfline] 2005-08-31 19:29:54 UTC
Hi,
I'm pushing a new control-center package into rawhide that may address this
issue.  It should show up tomorrow.  Can you test it and tell me if it works for
you?

Comment 3 Dennis Jacobfeuerborn 2005-09-01 17:42:02 UTC
The new package fixed the problem for me. Thanks!

Comment 4 Ray Strode [halfline] 2005-09-01 17:45:28 UTC
Great, thanks.


Note You need to log in before you can comment on or make changes to this bug.